AI QR-Codes
GET https://qr.gtechgroup.it/api/ai-qr-codes/
curl --request GET \
--url 'https://qr.gtechgroup.it/api/ai-qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.gtechgroup.it/api/ai-qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Einzelheiten | Beschreibung |
|---|---|---|
| search | Optional String | Die Suchzeichenkette |
| search_by | Optional String | Nach welchem Feld suchen Sie. Erlaubte Werte sind: name |
| datetime_field | Optional String | Zulässige Werte: datetime, last_datetime |
| datetime_start | Optional String | Filterergebnisse ab diesem Datum und dieser Uhrzeit. Y-m-d H:i:s Format. |
| datetime_end | Optional String | Filterergebnisse bis zu diesem Datum und dieser Uhrzeit. Y-m-d H:i:s Format. |
| order_by | Optional String | Nach welchem Feld die Ergebnisse sortiert werden sollen. Zulässige Werte sind: ai_qr_code_id, datetime, last_datetime, name |
| order_type | Optional String | Die Reihenfolge der Ergebnisse. Zulässige Werte sind: ASC für aufsteigende Sortierung und DESC für absteigende Sortierung |
| page | Optional Ganzzahl | Die Seitennummer, von der Sie Ergebnisse möchten. Standardmäßig ist 1 |
| results_per_page | Optional Ganzzahl | Wie viele Ergebnisse möchten Sie pro Seite haben. Erlaubte Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist 25 eingestellt. |
{
"data": [
{
"id": 1,
"name": "Example name",
"ai_qr_code": "https://qr.gtechgroup.it/uploads/ai_qr_codes/example.png",
"content": "https://qr.gtechgroup.it/",
"prompt": "Naturlandschaft bei Sonnenuntergang, Wasserfall, wilde Tiere und Sonnenstrahlen"
"embedded_data": "https://qr.gtechgroup.it/",
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-06-27 22:36:44",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qr.gtechgroup.it/api/ai-qr-codes?page=1",
"last": "https://qr.gtechgroup.it/api/ai-qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://qr.gtechgroup.it/api/ai-qr-codes?page=1"
}
}
GET https://qr.gtechgroup.it/api/ai-qr-codes/{ai_qr_code_id}
curl --request GET \
--url 'https://qr.gtechgroup.it/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.gtechgroup.it/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Example name",
"ai_qr_code": "https://qr.gtechgroup.it/uploads/ai_qr_codes/example.png",
"content": "https://qr.gtechgroup.it/",
"prompt": "Naturlandschaft bei Sonnenuntergang, Wasserfall, wilde Tiere und Sonnenstrahlen"
"embedded_data": "https://qr.gtechgroup.it/",
"last_datetime": null,
"datetime": "2026-06-27 22:36:44",
}
}
POST https://qr.gtechgroup.it/api/ai-qr-codes
| Parameter | Einzelheiten | Beschreibung |
|---|---|---|
| link_id | Optional Ganzzahl | - |
| project_id | Optional Ganzzahl | - |
| name | Erforderlich String | - |
| content | Erforderlich String | - |
| prompt | Erforderlich String | - |
| Parameter | Einzelheiten | Beschreibung |
|---|---|---|
curl --request POST \
--url 'https://qr.gtechgroup.it/api/ai-qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'prompt=Naturlandschaft bei Sonnenuntergang, Wasserfall, wilde Tiere und Sonnenstrahlen' \
--form 'content=https://qr.gtechgroup.it/' \
--url 'https://qr.gtechgroup.it/api/ai-qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'prompt=Naturlandschaft bei Sonnenuntergang, Wasserfall, wilde Tiere und Sonnenstrahlen' \
--form 'content=https://qr.gtechgroup.it/' \
{
"data": {
"id": 1
}
}
POST https://qr.gtechgroup.it/api/ai-qr-codes/{ai_qr_code_id}
| Parameter | Einzelheiten | Beschreibung |
|---|---|---|
| link_id | Optional Ganzzahl | - |
| project_id | Optional String | - |
| name | Optional String | - |
| content | Optional String | - |
| prompt | Optional String | - |
curl --request POST \
--url 'https://qr.gtechgroup.it/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://qr.gtechgroup.it/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://qr.gtechgroup.it/api/ai-qr-codes/{ai_qr_code_id}
curl --request DELETE \
--url 'https://qr.gtechgroup.it/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.gtechgroup.it/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \